ZMQ_MSG_MOVE(3)

NAME
zmq_msg_move - move content of a message to another message

SYNOPSIS

int zmq_msg_move (zmq_msg_t *dest, zmq_msg_t *src);

DESCRIPTION

The zmq_msg_move() function shall move the content of the message object referenced by src to the message object referenced by dest. No actual copying of message content is performed, dest is simply updated to reference the new content. src becomes an empty message after calling zmq_msg_move(). The original content of dest, if any, shall be released.

    Caution

    Never access zmq_msg_t members directly, instead always use the zmq_msg family of functions.

RETURN VALUE

The zmq_msg_move() function shall return zero if successful. Otherwise it shall return -1 and set errno to one of the values defined below.

ERRORS

EFAULT
    Invalid message.

SEE ALSO

zmq_msg_copy(3) zmq_msg_init(3) zmq_msg_init_size(3) zmq_msg_init_data(3) zmq_msg_close(3) zmq(7)

AUTHORS

This 0MQ manual page was written by Martin Sustrik <sustrik@250bpm.com[1]> and Martin Lucina <mato@kotelna.sk[2]>.

NOTES

1.  sustrik@250bpm.com
    mailto:sustrik@250bpm.com

2.  mato@kotelna.sk
    mailto:mato@kotelna.sk